AuGetDeviceAttributes(3)

Name
AuGetDeviceAttributes - get device attributes

Synopsis
#include <audio/audiolib.h>

AuDeviceAttributes *AuGetDeviceAttributes(server, device, status)
    AuServer *server;
    AuDeviceID device;
    AuStatus *status;    /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

device
    Specifies the ID of the audio device.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuGetDeviceAttributes returns the current attributes for the specified device, or NULL if there was an error. Use AuFreeDeviceAttributes to free this structure when no longer needed.

Errors
AuBadDevice.

See Also
AuSetDeviceAttributes, AuListDevices.

audiolib - Network Audio System C Language Interface